Subject: Re: Old Thread: Cygwin Performance
From: "Tim Prince" <[email-masked]>
To: "Ralf Habacker" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Sun, 2 Dec 2001 12:05:52 -0800

Thanks.  I take it that your patches are for the lmbench/old/lmbench-2.0
"stable" release, which I have just now downloaded.  I agree in principle
with your comments, according to my previous experience.  I did not
understand, from the comments of others, how they expected to deal with the
rpc in a Windows port.
 As this could relate to a task which I currently have at the office, I may
be able to try this on more recent ia hardware, but I will start out on the
P-III laptop. Actually, my current problem is at least partly associated
with TCP/IP latencies, and I must check to what extent lmbench may
contribute to measuring them.  The performance problem appears to be of
similar magnitude on Win2K and redhat 7.1, but it will be important to see
if it increases in relative importance on newer hardware or on XP.
----- Original Message -----
From: "Ralf Habacker" <[email-masked]>
To: "Tim Prince" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Sent: Sunday, December 02, 2001 10:29 AM
Subject: RE: Old Thread: Cygwin Performance

> > I'd suggest you offer your patch to the lmbench maintainers.  At one
time,
> > they were talking about supporting something for Windows.  If they don't
> > adopt it, I suppose the other alternative is to offer to maintain a
Cygwin
> > port as an optional Cygwin package.  I'd certainly like to try your
version.
>
> Perhaps it is the best, that you look at the patch before offering to the
lmbench maintainer.
> I should note some things to the patch:
>
> 1. It emulates rpc functions by adding a file "lib_cygwin.c" which
contains empty rcp_...
> functions,
>    so that the rpc functions are disabled and will not be tested.
>
> 2. Because the makefile does not have any platform depending parts,
generating lat_rpc.exe is
> disabled
>
> 3. in scripts/lmbench I have added some ' echo -n "*" ' to enable visible
feedback for the
> long time execution of some benchmarks.
>
> 4. On problem I have recognized is with the "lat_select", it hangs on
operation.
>
> 5. Because I don't have any compare of lmbench running time on other
platforms I can't say if
> this is okay. Some benchmarks need several minutes to run, but this may be
okay.
>
> Regards
> Ralf
>
> > ----- Original Message -----
> > From: "Ralf Habacker" <[email-masked]>
> > To: "Tim Prince" <[email-masked]>
> > Cc: "Cygwin" <[email-masked]>
> > Sent: Saturday, December 01, 2001 11:44 AM
> > Subject: RE: Old Thread: Cygwin Performance
> >
> >
> > > >
> > > > cygwin should have made some improvements in piping since then.
Amazing
> > the
> > > > things I had time to do last year.  At that time, I got over  a few
of
> > the
> > > > linux specific functions by the use of Chuck Wilson's useful
packages,
> > some
> > > > of which should be integrated into cygwin now.  I commented out
sections
> > of
> > > > lmbench which I couldn't figure out how to port.  This would be a
useful
> > > > port, particularly in view of the new performance issues brought up
by
> > XP.
> > >
> > > I have get running lmbench 2.0 on cygwin with some patches (removing
rpc
> > functions).
> > >
> > > Is there anyone who could verify this patch ? To whom should I send
this
> > patch ?
> > >
> > > Regards
> > > Ralf
> > >
> > > > However, several of the organizations involved in lmbench are trying
to
> > stay
> > > > clear of Bill Gates' vendetta against use of open software together
with
> > his
> > > > products.  I was not employed by such an organization at the time I
was
> > > > beating on lmbench.
> > >
> > > > ----- Original Message -----
> > > > From: "Piyush Kumar" <[email-masked]>
> > > > To: "Cygwin@Cygwin. Com" <[email-masked]>
> > > > Sent: Friday, November 30, 2001 6:49 AM
> > > > Subject: Old Thread: Cygwin Performance
> > > >
> > > >
> > > > >
> > > > >
> > > > > I picked this old thread from Oct 2000!!!
> > > > > Tim reports that cygwin falls short by
> > > > > performance compared to linux box by a
> > > > > factor of 2 using lmbench. Is it still
> > > > > the case? Or have things improved since
> > > > > Oct 13(Unlucky date!! ;)??
> > > > >
> > > > > I was trying to compile lmbench 2.0 (Patch 2)
> > > > > on my cygwin , no luck!!!! I couldnt compile it!
> > > > > Anyone here has tried it before ?? Any luck?
> > > > > I would be really interested in a lmbench port
> > > > > on cygwin! If someone has already done it , please
> > > > > let me know!
> > > > >
> > > > > Thanks,
> > > > > --Piyush
> > > > >
> > > > >
> > > > > =============================================================An
Old
> > Thread
> > > > >
> > > > > Re: Cygwin Performance Info
> > > > > To: <cygwin at sourceware dot cygnus dot com>, "Chris Abbey"
<cabbey
> > at
> > > > > chartermi dot net>
> > > > > Subject: Re: Cygwin Performance Info
> > > > > From: "Tim Prince" <tprince at computer dot org>
> > > > > Date: Fri, 13 Oct 2000 19:12:40 -0700
> > > > > References:
<[email-masked]>
> > > > >
> > > >
> >
> --------------------------------------------------------------------------
> > > > --
> > > > > ----
> > > > >
> > > > > When I attempted to run lmbench on this old box both under linux
and
> > cygwi
> > > > n,
> > > > > there were some tests on which cygwin/w2k fell short of linux by a
> > factor
> > > > of
> > > > > 2 or more (opening files, pipe throughput, and the like), and then
> > there
> > > > > were the cache statistics on which cygwin beat linux by a small
> > margin.  I
> > > > > was expecting lmbench to become better adapted to cygwin, but I
have
> > no
> > > > news
> > > > > there.
> > > > > ----- Original Message -----
> > > > > From: "Chris Abbey" <[email-masked]>
> > > > > To: <[email-masked]>
> > > > > Sent: Friday, October 13, 2000 4:51 PM
> > > > > Subject: Re: Cygwin Performance Info
> > > > >
> > > > >
> > > > > > At 19:23 10/13/00 -0400, Laurence F. Wood wrote:
> > > > > > >Can someone tell me where the performance hit is in cygwin unix
> > > > > > >emulation?
> > > > > >
> > > > > > whichever part you use the most inside your tightest inner loop.
> > > > > >
> > > > > > seriously.
> > > > > >
> > > > > > that's a big huge open ended question (not about cygwin, about
ANY
> > > > > > library/platform) that is as specific to your application as you
can
> > > > > > get. For example, if you spend 75% of your computing day
> > manipulating
> > > > > > text files and piping them and greping them and running file
utils
> > > > > > against them then the cr/lf translation may be a big hit for
you.
> > > > > > On the otherhand if most of your computation in a day is spent
> > answering
> > > > > > requests that come in on tcp/ip sockets then the remapping of
> > winsock
> > > > > > to netinet.h functions maybe your major headache. (note, I'm not
> > trying
> > > > > > to imply that either function has a performance problem, merely
that
> > > > they
> > > > > > would be representative places that would have high invocation
> > counts
> > > > > > in the course of the given activity.)
> > > > > >
> > > > > > To really answer that for your application/workload then you
need to
> > > > > > get some form of performance detailing that can tell you how
much
> > time
> > > > > > you are spending in any given method and how often it's called.
> > > > > >
> > > > > >
> > > > > > --
> > > > > > Want to unsubscribe from this list?
> > > > > > Send a message to [email-masked]
> > > > >
> > > > >
> > > > > --
> > > > > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > > > > Bug reporting:         http://cygwin.com/bugs.html
> > > > > Documentation:         http://cygwin.com/docs.html
> > > > > FAQ:                   http://cygwin.com/faq/
> > > > >
> > > >
> > > >
> > > > --
> > > > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > > > Bug reporting:         http://cygwin.com/bugs.html
> > > > Documentation:         http://cygwin.com/docs.html
> > > > FAQ:                   http://cygwin.com/faq/
> > > >
> > > >
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
> >
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/